Skip to content

upsertLocation

WRITE

Upsert location.

POST /api/v1/resources/upsertLocation
curl -X POST '<your-host>/api/v1/resources/upsertLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "addressLine1": "string",
    "city": "string",
    "postalCode": "string",
    "countryCode": "string",
    "timezone": "string"
  }'
Response
{
  "addressLine1": "string",
  "addressLine2": "string",
  "city": "string",
  "code": "string",
  "companyId": "string",
  "countryCode": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "latitude": 0,
  "longitude": 0,
  "name": "string",
  "postalCode": "string",
  "requiresStaffing": true,
  "stateProvince": "string",
  "storageCapacityGallons": 0,
  "tags": [
    "string"
  ],
  "timezone": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "usableStorageGallons": 0
}

Parameters

ParameterType
min length 1
min length 1
min length 1
min length 1
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "code": {
      "type": "string"
    },
    "addressLine1": {
      "type": "string",
      "minLength": 1
    },
    "addressLine2": {
      "type": "string"
    },
    "city": {
      "type": "string",
      "minLength": 1
    },
    "stateProvince": {
      "type": "string"
    },
    "postalCode": {
      "type": "string",
      "minLength": 1
    },
    "countryCode": {
      "type": "string",
      "minLength": 1
    },
    "timezone": {
      "type": "string",
      "minLength": 1
    },
    "latitude": {
      "type": "number"
    },
    "longitude": {
      "type": "number"
    },
    "customFields": {},
    "id": {
      "type": "string"
    }
  },
  "required": [
    "name",
    "addressLine1",
    "city",
    "postalCode",
    "countryCode",
    "timezone"
  ]
}